#!/bin/sh
DURATION=`grep $1.wav ../Reference/durations.csv | sed -e 's/[^ ]\+ //'`
if [ -f "../Reference/Barlines/$1.csv" ]; then
  echo "Generating Haarte notation file for $1"
  R --slave << EOF
    tryCatch(
      library("KSNR"),
    error=function(cond) {
      cat("KSNR package could not be loaded, trying to install it.\n")
      install.packages("KSNR_0.9.tar.gz", repos=NULL)
      library("KSNR")  # no error during installation, so it should load fine now
    })
    ksn2lab("../Harmony/KSN/$1.ksn", "../Reference/Barlines/$1.csv", "../Harmony/LAB/$1.lab", $DURATION)
EOF
else
  echo "Reference barline file for $1 does not exist!"
fi
